linux-ti-omap4: 3.0.0-1211.23 -proposed tracker

Bug #1005455 reported by Brad Figg on 2012-05-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
ubuntu-armel-kernel
Prepare-package-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Herton R. Krzesinski
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa
Undecided
Herton R. Krzesinski
Verification-testing
Undecided
ubuntu-armel-kernel
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-1211.23 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 28. May 2012 09:46 UTC
kernel-stable-Certification-testing-end:Monday, 28. May 2012 10:17 UTC
kernel-stable-Prepare-package-end:Friday, 01. June 2012 04:31 UTC
kernel-stable-Promote-to-proposed-start:Friday, 01. June 2012 04:31 UTC
kernel-stable-Promote-to-proposed-end:Friday, 01. June 2012 16:46 UTC
kernel-stable-Verification-testing-start:Friday, 01. June 2012 17:46 UTC
kernel-stable-Security-signoff-start:Friday, 01. June 2012 18:16 UTC
kernel-stable-Verification-testing-end:Friday, 01. June 2012 18:16 UTC
kernel-stable-Regression-testing-start:Friday, 01. June 2012 18:16 UTC
kernel-stable-Security-signoff-end:Friday, 01. June 2012 19:16 UTC
kernel-stable-Promote-to-updates-start:Friday, 01. June 2012 21:03 UTC
kernel-stable-Regression-testing-end:Friday, 01. June 2012 21:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 15. June 2012 00:30 UTC
kernel-stable-Promote-to-updates-end:Friday, 15. June 2012 00:30 UTC

This tracking bug was opened to be worked from linux-3.0.0-21.35 update (bug 1004571)

tags: added: kernel-release-tracking-bug
tags: added: armel
Changed in linux-ti-omap4 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-05-28
description: updated
Paolo Pisati (p-pisati) wrote :

git://kernel.ubuntu.com/ppisati/ubuntu-oneiric.git ti-omap4

summary: - linux-ti-omap4: <version to be filled> -proposed tracker
+ linux-ti-omap4: 3.0.0-1211.23 -proposed tracker
Herton R. Krzesinski (herton) wrote :

I'm waiting on previous ti-omap4 update to complete, waiting on Testing (bug 993169 - 3.0.0-1210.22), before reviewing and uploading this one.

description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Herton R. Krzesinski (herton) wrote :

Waiting on packages to be synced from kernel ppa to -proposed.

Brad Figg (brad-figg) on 2012-06-01
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

block-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
crypto-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
fat-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
fs-core-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
fs-secondary-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
input-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
irda-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
kernel-image-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
linux-headers-3.0.0-1211 3.0.0-1211.23 - is in universe instead of main
linux-headers-3.0.0-1211-omap4 3.0.0-1211.23 - is in universe instead of main
linux-image-3.0.0-1211-omap4 3.0.0-1211.23 - is in universe instead of main
linux-ti-omap4-tools-3.0.0-1211 3.0.0-1211.23 - is in universe instead of main
md-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
mouse-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
nic-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
nic-shared-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
nic-usb-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
parport-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
plip-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
ppp-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
sata-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
scsi-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
squashfs-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
storage-core-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
usb-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main
vlan-modules-3.0.0-1211-omap4-di 3.0.0-1211.23 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Colin Watson (cjwatson) wrote :

Overrides fixed.

Brad Figg (brad-figg) on 2012-06-01
description: updated
Brad Figg (brad-figg) on 2012-06-01
description: updated
Brad Figg (brad-figg) on 2012-06-01
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-06-01
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-06-01
description: updated
Adam Conrad (adconrad) wrote :

--- Releasing linux-ti-omap4 ---
Proposed: 3.0.0-1211.23
Security: 3.0.0-1210.22
Updates: 3.0.0-1210.22
Copied to oneiric-updates
Copied to oneiric-security
--- Releasing linux-meta-ti-omap4 ---
Proposed: 3.0.0.1211.10
Security: 3.0.0.1210.9
Updates: 3.0.0.1210.9
Copied to oneiric-updates
Copied to oneiric-security

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (8.7 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.0.0-1211.23

---------------
linux-ti-omap4 (3.0.0-1211.23) oneiric-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1005455

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.0.0-21.35

  [ Ubuntu: 3.0.0-21.35 ]

  * Release Tracking Bug
    - LP: #1004571
  * [Config] control.stub is an intermediate product not a dependancy
    - LP: #992414
  * SAUCE: async_populate_rootfs: fix build warnings
    - LP: #1003417
  * Revert "SAUCE: ite-cir: postpone ISR registration"
    - LP: #1002880
  * [Config] perarch and indep tools builds need separate build directories
  * Revert "autofs: work around unhappy compat problem on x86-64"
    - LP: #996109
  * Revert "usb: Fix build error due to dma_mask is not at pdev_archdata at
    ARM"
    - LP: #996109
  * KVM: unmap pages from the iommu when slots are removed
    - LP: #987569
    - CVE-2012-2121
  * NFSv4: include bitmap in nfsv4 get acl data
    - LP: #893147
    - CVE-2011-4131
  * hugepages: fix use after free bug in "quota" handling
    - LP: #990368
    - CVE-2012-2133
  * nfs: Enclose hostname in brackets when needed in nfs_do_root_mount
    - LP: #996109
  * NFSv4: Ensure that the LOCK code sets exception->inode
    - LP: #996109
  * NFSv4: Ensure that we check lock exclusive/shared type against open
    modes
    - LP: #996109
  * x86, apic: APIC code touches invalid MSR on P5 class machines
    - LP: #996109
  * xen: correctly check for pending events when restoring irq flags
    - LP: #996109
  * xen/smp: Fix crash when booting with ACPI hotplug CPUs.
    - LP: #996109
  * ASoC: dapm: Ensure power gets managed for line widgets
    - LP: #996109
  * dmaengine: at_hdmac: remove clear-on-read in atc_dostart()
    - LP: #996109
  * hwmon: fam15h_power: fix bogus values with current BIOSes
    - LP: #996109
  * hwmon: (fam15h_power) Fix pci_device_id array
    - LP: #996109
  * drm/i915: handle input/output sdvo timings separately in mode_set
    - LP: #996109
  * drm/i915: fix integer overflow in i915_gem_execbuffer2()
    - LP: #996109
  * drm/i915: fix integer overflow in i915_gem_do_execbuffer()
    - LP: #996109
  * nl80211: ensure interface is up in various APIs
    - LP: #996109
  * EHCI: fix criterion for resuming the root hub
    - LP: #996109
  * brcm80211: smac: resume transmit fifo upon receiving frames
    - LP: #996109
  * Fix modpost failures in fedora 17
    - LP: #996109
  * mmc: unbreak sdhci-esdhc-imx on i.MX25
    - LP: #996109
  * nfsd: fix b0rken error value for setattr on read-only mount
    - LP: #996109
  * nfsd: fix error values returned by nfsd4_lockt() when nfsd_open() fails
    - LP: #996109
  * USB: cdc-wdm: fix race leading leading to memory corruption
    - LP: #996109
  * USB: EHCI: fix crash during suspend on ASUS computers
    - LP: #996109
  * USB: gadget: storage gadgets send wrong error code for unknown commands
    - LP: #996109
  * usb gadget: uvc: uvc_request_data::length field must be signed
    - LP: #996109
  * pipes: add a "packetized pipe" mode for writing
    - LP: #996109
  * autofs: make the autofsv5 packet file descriptor use a packetized pipe
    - LP: #996109
  * ARM: 7403/1: tls: remov...

Read more...

Changed in linux-ti-omap4 (Ubuntu Oneiric):
status: New → Fix Released
Adam Conrad (adconrad) on 2012-06-15
Changed in linux-ti-omap4 (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers